ros-rolling-tf2-eigen (0.42.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 18 Jun 2025 22:00:00 -0000

ros-rolling-tf2-eigen (0.42.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 May 2025 22:00:00 -0000

ros-rolling-tf2-eigen (0.42.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 24 Apr 2025 22:00:00 -0000

ros-rolling-tf2-eigen (0.41.0-1noble) noble; urgency=high

  * Uniform cmake min version (#764 <https://github.com/ros2/geometry2/issues/764>)
  * Contributors: mosfet80

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 24 Apr 2025 22:00:00 -0000

ros-rolling-tf2-eigen (0.40.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 14 Jan 2025 23:00:00 -0000

ros-rolling-tf2-eigen (0.40.0-1noble) noble; urgency=high

  * Deprecate C Headers (#720 <https://github.com/ros2/geometry2/issues/720>)
  * Contributors: Lucas Wendland

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 19 Dec 2024 23:00:00 -0000

ros-rolling-tf2-eigen (0.39.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 24 Nov 2024 23:00:00 -0000

ros-rolling-tf2-eigen (0.39.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 19 Nov 2024 23:00:00 -0000

ros-rolling-tf2-eigen (0.39.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 14 Oct 2024 22:00:00 -0000

ros-rolling-tf2-eigen (0.39.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Oct 2024 22:00:00 -0000

ros-rolling-tf2-eigen (0.38.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Jul 2024 22:00:00 -0000

ros-rolling-tf2-eigen (0.38.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 08 Jul 2024 22:00:00 -0000

ros-rolling-tf2-eigen (0.38.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 16 Jun 2024 22:00:00 -0000

ros-rolling-tf2-eigen (0.37.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 28 May 2024 22:00:00 -0000

ros-rolling-tf2-eigen (0.37.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 25 Apr 2024 22:00:00 -0000

ros-rolling-tf2-eigen (0.36.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 09 Apr 2024 22:00:00 -0000

ros-rolling-tf2-eigen (0.36.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 27 Mar 2024 23:00:00 -0000

ros-rolling-tf2-eigen (0.36.0-1noble) noble; urgency=high

  * Removed obsolete headers (#645 <https://github.com/ros2/geometry2/issues/645>)
  * normalize quaternions on tf2_eigen (#644 <https://github.com/ros2/geometry2/issues/644>)
  * Contributors: Alejandro Hernández Cordero, Paul Gesel

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 06 Feb 2024 23:00:00 -0000

ros-rolling-tf2-eigen (0.35.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Jan 2024 23:00:00 -0000

ros-rolling-tf2-eigen (0.35.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-rolling-tf2-eigen (0.34.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 05 Nov 2023 23:00:00 -0000

ros-rolling-tf2-eigen (0.33.2-1noble) noble; urgency=high

  * Fix clang build warnings. (#628 <https://github.com/ros2/geometry2/issues/628>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 03 Oct 2023 22:00:00 -0000

ros-rolling-tf2-eigen (0.33.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 06 Sep 2023 22:00:00 -0000

ros-rolling-tf2-eigen (0.33.0-1noble) noble; urgency=high

  * Add another reference for twist transformation. Comment correction. (#620 <https://github.com/ros2/geometry2/issues/620>)
  * Contributors: AndyZe

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-rolling-tf2-eigen (0.32.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-rolling-tf2-eigen (0.32.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 10 May 2023 22:00:00 -0000

ros-rolling-tf2-eigen (0.32.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 Apr 2023 22:00:00 -0000

ros-rolling-tf2-eigen (0.31.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 12 Apr 2023 22:00:00 -0000

ros-rolling-tf2-eigen (0.31.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Apr 2023 22:00:00 -0000

ros-rolling-tf2-eigen (0.31.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-rolling-tf2-eigen (0.30.0-1noble) noble; urgency=high

  * Update the demos to C++17. (#578 <https://github.com/ros2/geometry2/issues/578>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-rolling-tf2-eigen (0.29.0-1noble) noble; urgency=high

  * Update maintainers (#560 <https://github.com/ros2/geometry2/issues/560>)
  * Contributors: Audrow Nash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 20 Nov 2022 23:00:00 -0000

ros-rolling-tf2-eigen (0.28.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Nov 2022 23:00:00 -0000

ros-rolling-tf2-eigen (0.27.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-rolling-tf2-eigen (0.26.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 14 Aug 2022 22:00:00 -0000

ros-rolling-tf2-eigen (0.26.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 23 Jun 2022 22:00:00 -0000

ros-rolling-tf2-eigen (0.26.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-rolling-tf2-eigen (0.25.0-1noble) noble; urgency=high

  * Workaround broken RHEL FindEigen3.cmake (#513 <https://github.com/ros2/geometry2/issues/513>)
  * Install includes to include/${PROJECT_NAME} and use modern CMake (#493 <https://github.com/ros2/geometry2/issues/493>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 04 Apr 2022 22:00:00 -0000

ros-rolling-tf2-eigen (0.24.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 30 Mar 2022 22:00:00 -0000

ros-rolling-tf2-eigen (0.23.0-1noble) noble; urgency=high

  * Disable mem-access warnings on aarch64. (#506 <https://github.com/ros2/geometry2/issues/506>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 27 Mar 2022 22:00:00 -0000

ros-rolling-tf2-eigen (0.22.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-rolling-tf2-eigen (0.21.0-1noble) noble; urgency=high

  * Fix cpplint errors (#497 <https://github.com/ros2/geometry2/issues/497>)
  * Contributors: Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-rolling-tf2-eigen (0.20.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 16 Dec 2021 23:00:00 -0000

ros-rolling-tf2-eigen (0.19.0-1noble) noble; urgency=high

  * Remove some references to the ROS 1 wiki.
  * Add doTransform function for twists or wrenches (#406 <https://github.com/ros2/geometry2/issues/406>)
  * Contributors: AndyZe, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 14 Oct 2021 22:00:00 -0000

ros-rolling-tf2-eigen (0.18.0-1noble) noble; urgency=high

  * Reenable stamped eigen tests (#429 <https://github.com/ros2/geometry2/issues/429>)
  * Deprecate tf2_eigen.h (#413 <https://github.com/ros2/geometry2/issues/413>)
  * Contributors: Bjar Ne, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 31 May 2021 22:00:00 -0000

ros-rolling-tf2-eigen (0.17.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-rolling-tf2-eigen (0.17.0-1noble) noble; urgency=high

  * Fix linter errors (#385 <https://github.com/ros2/geometry2/issues/385>)
  * Fix up the style in tf2_eigen. (#378 <https://github.com/ros2/geometry2/issues/378>)
  * Fix doTransform with Eigen Quaternion (#369 <https://github.com/ros2/geometry2/issues/369>)
  * Contributors: Audrow Nash, Bjar Ne, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Mar 2021 23:00:00 -0000

ros-rolling-tf2-eigen (0.16.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-rolling-tf2-eigen (0.15.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 07 Dec 2020 23:00:00 -0000

ros-rolling-tf2-eigen (0.15.0-1noble) noble; urgency=high

  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 01 Nov 2020 23:00:00 -0000

ros-rolling-tf2-eigen (0.14.1-1noble) noble; urgency=high

  * Activate usual compiler warnings and fix errors (#270 <https://github.com/ros2/geometry2/issues/270>)
  * Contributors: Ivan Santiago Paunovic

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 20 Sep 2020 22:00:00 -0000

ros-rolling-tf2-eigen (0.14.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Aug 2020 22:00:00 -0000

ros-rolling-tf2-eigen (0.13.4-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 02 Jun 2020 22:00:00 -0000

ros-rolling-tf2-eigen (0.13.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-rolling-tf2-eigen (0.13.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 17 May 2020 22:00:00 -0000

ros-rolling-tf2-eigen (0.13.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 May 2020 22:00:00 -0000

ros-rolling-tf2-eigen (0.13.0-1noble) noble; urgency=high

  * Added doxyfiles and sphinx Makefiles (#257 <https://github.com/ros2/geometry2/issues/257>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 29 Apr 2020 22:00:00 -0000

ros-rolling-tf2-eigen (0.12.4-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 18 Nov 2019 23:00:00 -0000

ros-rolling-tf2-eigen (0.12.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 17 Nov 2019 23:00:00 -0000

ros-rolling-tf2-eigen (0.12.2-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 17 Nov 2019 23:00:00 -0000

ros-rolling-tf2-eigen (0.12.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-rolling-tf2-eigen (0.12.0-1noble) noble; urgency=high

  * Adds toMsg & fromMsg for Eigen Vector3
  * Adds additional conversions for tf2, KDL, Eigen
  * Use eigen3_cmake_module (#144 <https://github.com/ros2/geometry2/issues/144>)
  * Contributors: Ian McMahon, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 25 Sep 2019 22:00:00 -0000

ros-rolling-tf2-eigen (0.11.3-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 23 May 2019 22:00:00 -0000

ros-rolling-tf2-eigen (0.11.2-1noble) noble; urgency=high

  * Port tf2_kdl (#90 <https://github.com/ros2/geometry2/issues/90>)
    * tf2_eigen, leftover from the cherry-pick
    While cherry-picking changes to get isometry3d in
    * Update tf2_eigen, add toMsg2
    Convert a Eigen::Vector3d type to a geometry_msgs::msg::Vector3
    while avoiding overloading issues with previous definitions
    * Default to C++14
    * Define _USE_MATH_DEFINES so Windows gets M_PI symbol.
  * Contributors: Víctor Mayoral Vilches

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 19 May 2019 22:00:00 -0000

ros-rolling-tf2-eigen (0.11.1-1noble) noble; urgency=high

  * also export Eigen3 include directories (#102 <https://github.com/ros2/geometry2/issues/102>)
  * Contributors: Marcus Scheunemann

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 08 May 2019 22:00:00 -0000

ros-rolling-tf2-eigen (0.11.0-1noble) noble; urgency=high

  * Updated to use ament_target_dependencies where possible. (#98 <https://github.com/ros2/geometry2/issues/98>)
  * Contributors: ivanpauno

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sat, 13 Apr 2019 22:00:00 -0000

ros-rolling-tf2-eigen (0.10.1-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 05 Dec 2018 23:00:00 -0000

ros-rolling-tf2-eigen (0.10.0-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 21 Nov 2018 23:00:00 -0000

ros-rolling-tf2-eigen (0.5.15-1noble) noble; urgency=high

  * fixup #186 <https://github.com/ros/geometry2/issues/186>: inline template specializations (#200 <https://github.com/ros/geometry2/issues/200>)
  * Contributors: Robert Haschke

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 23 Jan 2017 23:00:00 -0000

ros-rolling-tf2-eigen (0.5.14-1noble) noble; urgency=high

  * Add tf2_eigen conversions for Pose and Point (not stamped) (#186 <https://github.com/ros/geometry2/issues/186>)
    * tf2_eigen: added conversions for Point msg type (not timestamped) to Eigen::Vector3d
    * tf2_eigen: added conversions for Pose msg type (not timestamped) to Eigen::Affine3d
    * tf2_eigen: new functions are inline now
    * tf2_eigen test compiling again
    * tf2_eigen: added tests for Affine3d and Vector3d conversion
    * tf2_eigen: added redefinitions of non-stamped conversion function to make usage in tf2::convert() possible
    * tf2_eigen: reduced redundancy by reusing non-stamped conversion-functions in their stamped counterparts
    * tf2_eigen: added notes at doTransform-implementations which can not work with tf2_ros::BufferInterface::transform
    * tf2_eigen: fixed typos
  * Don't export local include dirs (#180 <https://github.com/ros/geometry2/issues/180>)
  * Improve documentation.
  * Contributors: Jackie Kay, Jochen Sprickerhof, cwecht

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 15 Jan 2017 23:00:00 -0000

ros-rolling-tf2-eigen (0.5.13-1noble) noble; urgency=high

  * Added missing inline
  * Added unit test
    - Testing conversion to msg forward/backward
  * Added eigenTotransform function
  * Contributors: Davide Tateo, boris-il-forte

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 03 Mar 2016 23:00:00 -0000

ros-rolling-tf2-eigen (0.5.12-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 04 Aug 2015 22:00:00 -0000

ros-rolling-tf2-eigen (0.5.11-1noble) noble; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 21 Apr 2015 22:00:00 -0000

ros-rolling-tf2-eigen (0.5.10-1noble) noble; urgency=high

  * fixing CMakeLists.txt from #97 <https://github.com/ros/geometry_experimental/issues/97>
  * create tf2_eigen.
  * Contributors: Tully Foote, koji

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 20 Apr 2015 22:00:00 -0000


